# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-02 10:51
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_celery_results', '0001_initial'),
        ('viewflow', '0005_rename_flowcls'),
        ('assetadapter', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AlertProcess',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('text', models.CharField(max_length=150)),
                ('approved', models.BooleanField(default=False)),
                ('timestamp', models.DateTimeField(blank=True, default=None, null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='DataEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=200)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('data', models.BinaryField()),
                ('asset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='assetadapter.Asset')),
            ],
        ),
        migrations.CreateModel(
            name='DataVolume',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Execution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('begins', models.DateTimeField(blank=True, default=None, null=True)),
                ('status', models.CharField(choices=[('pending', 'Függőben'), ('initialized', 'Inicializálva'), ('running', 'Fut'), ('disabled', 'Inaktív'), ('done', 'Végzett'), ('failure', 'Hiba')], default='pending', max_length=200)),
                ('parameters', models.TextField(default=None, editable=False, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='InputParametersEntity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='ObserverProcess',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('asset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='assetadapter.Asset')),
            ],
            options={
                'abstract': False,
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='Process',
            fields=[
                ('entity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='assetadapter.Entity')),
                ('name', models.CharField(max_length=200)),
                ('status', models.CharField(choices=[('pending', 'Függőben'), ('initialized', 'Inicializálva'), ('running', 'Fut'), ('disabled', 'Inaktív'), ('done', 'Végzett'), ('failure', 'Hiba')], default='pending', max_length=200)),
                ('parameters', models.TextField(default=None, editable=False, null=True)),
                ('input_parameters', models.ManyToManyField(blank=True, default=None, null=True, related_name='input_parameters', to='assetadapter.Property')),
                ('output_parameters', models.ManyToManyField(blank=True, default=None, null=True, related_name='output_parameters', to='assetadapter.Property')),
            ],
            bases=('assetadapter.entity',),
        ),
        migrations.CreateModel(
            name='Variable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
                ('binding', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='assetadapter.Property')),
                ('scope', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='variables', to='processengine.Process')),
            ],
        ),
        migrations.AddField(
            model_name='execution',
            name='executor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='executions', to='processengine.Process'),
        ),
        migrations.AddField(
            model_name='execution',
            name='result',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_celery_results.TaskResult'),
        ),
        migrations.AddField(
            model_name='dataentry',
            name='process',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='processengine.Process'),
        ),
        migrations.AddField(
            model_name='dataentry',
            name='unit',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='assetadapter.EnumerationChoice'),
        ),
    ]
